org.apache.ignite.configuration

## Interface TopologyValidator

All Superinterfaces:
  Serializable

    public interface TopologyValidator
    extends Serializable

Topology validator.

### Method Summary

Methods
`boolean` `validate(Collection<ClusterNode> nodes)` Validates topology.

### Method Detail

#### validate

    boolean validate(Collection<ClusterNode> nodes)

Validates topology.

Parameters:
  `nodes` - nodes collection to be validated.
Returns:
  is topology valid or not.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.1.0-incubating
Release Date | : May 20 2015